<?php
include("../db/db.php");

if ($_SERVER['REQUEST_METHOD']== "POST") {
    $drop = $_REQUEST['drop'];
    $carType = $_REQUEST['carType'];
    $pickup = $_REQUEST['pickup'];
    $distance = floatval($_REQUEST['distance']);

    // Use prepared statement to prevent SQL injection
    $query = "SELECT * FROM fare_amount WHERE car_type = ? AND miles_from <= ? AND miles_to >= ?";
    $stmt = mysqli_prepare($con, $query);

    if ($stmt) {
        mysqli_stmt_bind_param($stmt, "sdd", $carType, $distance, $distance);
        mysqli_stmt_execute($stmt);
        $result = mysqli_stmt_get_result($stmt);

        if (mysqli_num_rows($result) > 0) {
            $row = mysqli_fetch_assoc($result);
            $firstMilePrice = $row['first_mile_price'];
            $perMilePrice = $row['per_mile_price'];

            $totalFare = $firstMilePrice + ($distance - 1) * $perMilePrice;
            // Output the calculated fare
            echo number_format($totalFare);
        } else {
            // Handle case where no fare information found
            echo "No fare information found.";
        }
    } else {
        // Handle database query error
        echo "Error in the database query: " . mysqli_error($con);
    }
} else {
    // Handle case where 'submit' is not set
    echo "No data submitted.";
}

?>
