<?php
session_start();
include("../db/db.php"); // Include your database connection file

if ($_SERVER["REQUEST_METHOD"] == "POST") {
    $username = $_POST["user_name"];
    $password = $_POST["password"];

    // Use prepared statements to prevent SQL injection
    $login_query = "SELECT * FROM users WHERE Name=? AND Password=? LIMIT 1";
    $stmt = mysqli_prepare($con, $login_query);

    // Check for errors in preparing the statement
    if (!$stmt) {
        die("Error in preparing the statement: " . mysqli_error($con));
    }

    mysqli_stmt_bind_param($stmt, "ss", $username, $password);
    mysqli_stmt_execute($stmt);
    $login_res = mysqli_stmt_get_result($stmt);

    if (mysqli_num_rows($login_res) > 0) {
        $user = mysqli_fetch_assoc($login_res);

        $_SESSION["log"] = true;
        $_SESSION["admin"] = $user['Role'];

        // Redirect based on user role
        if ($_SESSION["admin"] == 1) {
            header("location:../index.php");
            exit;
        } else {
            echo "You are not an authorized person to access the admin dashboard";
            exit;
        }
    } else {
        // User not found or incorrect password
        echo "User not found or incorrect password";
    }
}
?>
