$(document).ready(function () {
    // Show context menu on right-click
    $('#myTable tbody').on('contextmenu', 'tr', function (e) {
        e.preventDefault();
        var contextMenu = $('#contextMenu');
        contextMenu.css({
            top: e.pageY + 'px',
            left: e.pageX + 'px',
            display: 'block'
        });
        contextMenu.data('row-id', $(this).data('job-id')); // Corrected attribute name
    });

    // Hide context menu on click outside
    $(document).on('click', function () {
        $('#contextMenu').hide();
    });

    // Complete Job button click
    $('#contextMenu').on('click', '.completeJobBtn', function () {
        var jobId = $('#contextMenu').data('row-id');
        // Send AJAX request to complete job
        $.post('./action/completeJob.php', { jobId: jobId }, function (response) {
            try {
                console.log('Response from server:', response); // Log the response to the console
                response = JSON.parse(response);
                if (response.success) {
                    alert('Job completed successfully!');
                    $('#myTable tr[data-job-id="' + jobId + '"]').remove();

                    // Update the UI or perform other actions
                } else {
                    alert('Failed to complete the job. ' + response.message);
                }
            } catch (error) {
                console.error('Error parsing JSON response:', error);
            }
        });
        $('#contextMenu').hide();
    });

    $('#contextMenu').on('click', '.cancelJobBtn', function () {
        var jobId = $('#contextMenu').data('row-id');
        // Send AJAX request to complete job
        $.post('./action/cancleJob.php', { jobId: jobId }, function (response) {
            try {
                console.log('Response from server:', response); // Log the response to the console
                response = JSON.parse(response);
                if (response.success) {
                    alert('Job Deleted successfully!');
                    $('#myTable tr[data-job-id="' + jobId + '"]').remove();

                    // Update the UI or perform other actions
                } else {
                    alert('Failed to Delete the job. ' + response.message);
                }
            } catch (error) {
                console.error('Error parsing JSON response:', error);
            }
        });
        $('#contextMenu').hide();
    });

    // ... other part of your code for cancelJobBtn
});


















